import validUA from "@/utils/ua";
if (!validUA) {
  alert(
    "请选择Chrome内核版本大于80的浏览器，最新版的Chrome浏览器(推荐)和360浏览器(极速和安全均可)满足要求。"
  );
  location.href = "about:blank";
}

import "./styles/index.less";
import "./features/report/assets/report.css";
import "virtual:svg-icons-register";

import { createApp } from "vue";
import App from "./App.vue";

import router from "@/router";
import filters from "@/filters";
import roundNumber from "@/directives/roundNumber";
import numberToPercent from "@/directives/numberToPercent";

import ECharts from "./plugins/echarts";

import store from "./store";

const app = createApp(App);
app.use(router);
app.use(store);
app.config.globalProperties.$filters = filters;

app.component("VChart", ECharts);
app.directive("round-number", roundNumber);
app.directive("number-to-percent", numberToPercent);
// app.use(Antd);

app.mount("#app");
